## org.apache.myfaces.config.impl.digester.elements
Class Factory

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.Factory

public class Factory
extends java.lang.Object

Author:
  Oliver Rossmueller

Constructor Summary
`Factory()`

Method Summary
`void` `addApplicationFactory(java.lang.String factory)`
`void` `addFacesContextFactory(java.lang.String factory)`
`void` `addLifecycleFactory(java.lang.String factory)`
`void` `addRenderkitFactory(java.lang.String factory)`
`java.util.List` `getApplicationFactory()`
`java.util.List` `getFacesContextFactory()`
`java.util.List` `getLifecycleFactory()`
`java.util.List` `getRenderkitFactory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Factory

    public Factory()

Method Detail

### addApplicationFactory

    public void addApplicationFactory(java.lang.String factory)

### addFacesContextFactory

    public void addFacesContextFactory(java.lang.String factory)

### addLifecycleFactory

    public void addLifecycleFactory(java.lang.String factory)

### addRenderkitFactory

    public void addRenderkitFactory(java.lang.String factory)

### getApplicationFactory

    public java.util.List getApplicationFactory()

### getFacesContextFactory

    public java.util.List getFacesContextFactory()

### getLifecycleFactory

    public java.util.List getLifecycleFactory()

### getRenderkitFactory

    public java.util.List getRenderkitFactory()